> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbasalt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasets

> Get a list of datasets within a workspace



## OpenAPI

````yaml GET /datasets
openapi: 3.1.0
info:
  title: Basalt API
  description: Basalt API
  version: 0.2.1
servers:
  - url: https://api.getbasalt.ai
    description: Basalt Endpoint API
security:
  - bearerAuth: []
paths:
  /datasets:
    get:
      summary: List datasets
      description: Get a list of datasets within a workspace
      responses:
        '200':
          description: List of datasets in the workspace
          content:
            application/json:
              schema:
                type: object
                properties:
                  datasets:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                          description: The slug of the dataset
                          example: my-dataset
                        name:
                          type: string
                          description: The name of the dataset
                          example: My Dataset
                        columns:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                description: The name of the column
                                example: input
                              type:
                                type: string
                                enum:
                                  - text
                                  - image
                                  - file
                                  - json
                                description: The type of the column
                                example: text
                            required:
                              - name
                              - type
                          description: The columns of the dataset
                          example:
                            - name: input
                              type: text
                            - name: output
                              type: text
                      required:
                        - slug
                        - name
                        - columns
                    description: The list of datasets
                required:
                  - datasets
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````